=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  bison,
- clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
- debhelper-compat (= 13),
+ clang-6.0 [amd64 i386],
+ debhelper (>= 9),
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
@@ -20,8 +20,8 @@
  gdb <!nocheck>,
  gettext,
  libicu-dev,
- libio-pty-perl,
- libipc-run-perl,
+ libio-pty-perl <!nocheck>,
+ libipc-run-perl <!nocheck>,
  libkrb5-dev,
  libldap2-dev,
  libpam0g-dev | libpam-dev,
@@ -33,7 +33,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-6.0-dev [amd64 i386],
  perl (>= 5.8),
  pkg-config,
  python3-dev,
@@ -158,15 +158,15 @@
  This package provides the database server for PostgreSQL 13.
 XB-Postgresql-Catversion: ${postgresql:Catversion}
 
-#dbg#Package: postgresql-13-dbg
-#dbg#Section: debug
-#dbg#Priority: optional
-#dbg#Architecture: any
-#dbg#Depends: postgresql-13 (= ${binary:Version}), ${misc:Depends}
-#dbg#Description: debug symbols for postgresql-13
-#dbg# This package provides detached debugging symbols for PostgreSQL 13.
-#dbg# .
-#dbg# PostgreSQL is an object-relational SQL database management system.
+Package: postgresql-13-dbg
+Section: debug
+Priority: optional
+Architecture: any
+Depends: postgresql-13 (= ${binary:Version}), ${misc:Depends}
+Description: debug symbols for postgresql-13
+ This package provides detached debugging symbols for PostgreSQL 13.
+ .
+ PostgreSQL is an object-relational SQL database management system.
 
 Package: postgresql-client-13
 Architecture: any
@@ -196,9 +196,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ clang-6.0 [amd64 i386],
  libpq-dev (>= 13~~),
- llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-6.0-dev [amd64 i386],
  postgresql-client-13,
  postgresql-common (>= 142~),
  ${misc:Depends},
