=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Rules-Requires-Root: no
 Build-Depends:
  bison,
- clang-6.0 [amd64 i386],
- debhelper (>= 9),
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ debhelper-compat (= 13),
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
@@ -33,7 +33,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-6.0-dev [amd64 i386],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  perl (>= 5.8),
  pkg-config,
  python3-dev,
@@ -158,16 +158,6 @@
  This package provides the database server for PostgreSQL 13.
 XB-Postgresql-Catversion: ${postgresql:Catversion}
 
-Package: postgresql-13-dbg
-Section: debug
-Priority: optional
-Architecture: any
-Depends: postgresql-13 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for postgresql-13
- This package provides detached debugging symbols for PostgreSQL 13.
- .
- PostgreSQL is an object-relational SQL database management system.
-
 Package: postgresql-client-13
 Architecture: any
 Multi-Arch: foreign
@@ -196,9 +186,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-6.0 [amd64 i386],
+ clang-11 [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  libpq-dev (>= 13~~),
- llvm-6.0-dev [amd64 i386],
+ llvm-11-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  postgresql-client-13,
  postgresql-common (>= 142~),
  ${misc:Depends},
