=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: postgresql-13
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Peter Eisentraut <petere@debian.org>,
@@ -20,8 +21,8 @@
  gdb <!nocheck>,
  gettext,
  libicu-dev,
- libio-pty-perl <!nocheck>,
- libipc-run-perl <!nocheck>,
+ libio-pty-perl,
+ libipc-run-perl,
  libkrb5-dev,
  libldap2-dev,
  libpam0g-dev | libpam-dev,
@@ -158,6 +159,16 @@
  This package provides the database server for PostgreSQL 13.
 XB-Postgresql-Catversion: ${postgresql:Catversion}
 
+#dbg#Package: postgresql-13-dbg
+#dbg#Section: debug
+#dbg#Priority: optional
+#dbg#Architecture: any
+#dbg#Depends: postgresql-13 (= ${binary:Version}), ${misc:Depends}
+#dbg#Description: debug symbols for postgresql-13
+#dbg# This package provides detached debugging symbols for PostgreSQL 13.
+#dbg# .
+#dbg# PostgreSQL is an object-relational SQL database management system.
+
 Package: postgresql-client-13
 Architecture: any
 Multi-Arch: foreign
