=== debian/rules ===
--- 
+++ 
@@ -7,24 +7,24 @@
 MAJOR_VER := 13
 #CASSERT_FLAGS := --enable-cassert
 
-export SKIP_READLINE_TESTS=yes
+#xenial#export SKIP_READLINE_TESTS=yes
 
 CATVERSION = $(shell awk '/CATALOG_VERSION_NO/ { print $$3 }' src/include/catalog/catversion.h)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-# On jessie/zesty and older, uncomment the #PIE# lines
-# "-pie" because it would break linking our .so files
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+#PIE# # On jessie/zesty and older, uncomment the #PIE# lines
+#PIE# # "-pie" because it would break linking our .so files
+#PIE# export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-# skip -pie on 32bit archs for performance and stability reasons
-# (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
-ifneq ($(DEB_HOST_ARCH_BITS || :),32)
-CFLAGS+= -fPIC -pie
-else
-# if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
-CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
-endif
+#PIE# # skip -pie on 32bit archs for performance and stability reasons
+#PIE# # (http://www.postgresql.org/message-id/20140519115318.GB7296@msgid.df7cb.de, #797530)
+#PIE# ifneq ($(DEB_HOST_ARCH_BITS || :),32)
+#PIE# CFLAGS+= -fPIC -pie
+#PIE# else
+#PIE# # if gcc recognizes -no-pie, add it to CFLAGS (exit is 4 for unknown options)
+#PIE# CFLAGS+= $(shell gcc -no-pie 2> /dev/null; [ $$? = 1 ] && echo "-no-pie")
+#PIE# endif
 
 # Facilitate hierarchical profile generation on amd64 (#730134)
 ifeq ($(DEB_HOST_ARCH),amd64)
@@ -35,7 +35,7 @@
 
 # if LLVM is installed, use it
 ifneq ($(wildcard /usr/bin/llvm-config*),)
-LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-6.0 CLANG=/usr/bin/clang-6.0
+LLVM_FLAGS = --with-llvm LLVM_CONFIG=/usr/bin/llvm-config-11 CLANG=/usr/bin/clang-11
 endif
 
 # PostgreSQL 9.5+ does not have native spinlock support on alpha
@@ -76,7 +76,6 @@
   $(SELINUX_FLAGS) \
   $(SPINLOCK_FLAGS) \
   MKDIR_P='/bin/mkdir -p' \
-  PROVE='/usr/bin/prove' \
   TAR='/bin/tar' \
   XSLTPROC='xsltproc --nonet' \
   CFLAGS='$(CFLAGS)' \
@@ -204,5 +203,3 @@
 	    done; \
 	    for c in `find build -name 'core*'`; do \
 	        echo "******** $$c ********"; \
-	        gdb -batch -ex 'bt full' build/tmp_install/usr/lib/postgresql/$(MAJOR_VER)/bin/postgres $$c || :; \
-	    done; \
